## wxLogPassThrough

A special version of wxLogChain which uses itself as the new log target. Maybe more clearly, it means that this is a log target which forwards the log messages to the previously installed one in addition to processing them itself.

Unlike wxLogChain which is usually used directly as is, this class must be derived from to implement DoLog and/or DoLogString methods.

Derived from

wxLogChain

Include files

<wx/log.h>

Members

wxLogPassThrough::wxLogPassThrough

### wxLogPassThrough::wxLogPassThrough

Default ctor installs this object as the current active log target.